Page MenuHomePhabricator

Should not be able to interact with statements in UploadWizard while submitting
Closed, ResolvedPublic

Description

We have this

When submitting metadata (depicts) via UploadWizard, the statement widget goes into disabled/read mode while being submitted.
After having been submitted, they go back into interactive mode, and one could add new statements, remove statements or make statements prominent (until UploadWizard moves on to the next step)
This can be simulated by uploading multiple files, one of which has little statements (and doesn't take long to submit) while the other has many (and takes awhile): as soon as the first is done submitting, it can be interacted with again until the second one has also completed and UploadWizard moves on...
Any changes that are made at this stage will be pointless, they won't be submitted, and we shouldn't even make it possible to make them.

We want this

It should not be possible to interact with statements once submission has started.

Acceptance Criteria

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

  • The statement widgets should be disabled as soon as they're being published
  • The statement widgets should remain disabled until UploadWizard moves on to the next step

QA Results

ACStatusDetails
1T221076#5296320
2T221076#5296320

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2019, 12:02 PM

@PDrouin-WMF or @Ramsey-WMF might have a good idea for how to indicate that statements are being submitted.

Using a spinner would keep things consistent -- I keep trying to do a short screen record the upload process, but it didn't show the Add data step again.

We could either replace the entire content (or just the widgets) with some "statements are being published"

I've actually been considering this for all the statement panels, since on the file page we've had some issues with elements still being actionable during the submission process. Those issues seem to be fixed now, but we may want to avoid any future problems entirely by just hiding everything all the time during submission.

Thoughts, @PDrouin-WMF ? Also, @matthiasmullie what would be the level of effort to do things that way?

Agree, Ramsey - I've experienced elements still being actionable during the
submission process, and it makes it seem like only half of tcontributions
are being saved. I think it makes sense to hide everything (or some other
way of making it look like you can't take actions) during submission.

@Ramsey-WMF level of effort depends on exactly what we want do do (the devil is in the details), but should be small, <1d.

Change 507296 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Make it impossible to interact with statements while they're being submitted

https://gerrit.wikimedia.org/r/507296

I have a patch up that will simply disables the statement widgets (input bar is greyed out, the widget goes into read mode & items can't be edited)
Do we need anything else?

Change 507296 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Make it impossible to interact with statements while they're being submitted

https://gerrit.wikimedia.org/r/507296

matthiasmullie renamed this task from UploadWizard should indicate that statements are being submitted to Should not be able to interact with statements in UploadWizard while submitting.May 2 2019, 12:02 PM
matthiasmullie reassigned this task from matthiasmullie to Edtadros.
matthiasmullie updated the task description. (Show Details)

I updated this ticket to reflect current reality: most discussion has been about making sure the statements are no longer interactive during the submission process, and so is the patch associated with this ticket.
I filed another task for visually indicating that "something is happening" while they're all being submitted - further thoughts on that subject can be added there: T222361

Change 507945 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@wmf/1.34.0-wmf.3] Make it impossible to interact with statements while they're being submitted

https://gerrit.wikimedia.org/r/507945

Change 507945 abandoned by Matthias Mullie:
Make it impossible to interact with statements while they're being submitted

Reason:
will resubmit

https://gerrit.wikimedia.org/r/507945

Change 507945 restored by Matthias Mullie:
Make it impossible to interact with statements while they're being submitted

https://gerrit.wikimedia.org/r/507945

Change 507945 merged by Matthias Mullie:
[mediawiki/extensions/UploadWizard@wmf/1.34.0-wmf.3] Make it impossible to interact with statements while they're being submitted

https://gerrit.wikimedia.org/r/507945

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.May 15 2019, 5:39 PM
Edtadros reassigned this task from Edtadros to Ramsey-WMF.May 31 2019, 2:02 AM
Edtadros added a subscriber: Edtadros.

@Ramsey-WMF I'm unable to upload to beta. I closed all browsers, logged out, logged in, tried multiple images. I keep getting the following error:

Yeah, there seems to be some weirdness on Beta. Try testing this on Test Commons for now.

@Ramsey-WMF I'm unable to upload to beta. I closed all browsers, logged out, logged in, tried multiple images. I keep getting the following error:

Cparle reassigned this task from Ramsey-WMF to Edtadros.Jun 12 2019, 4:45 PM
Cparle added a subscriber: Cparle.

Should be able to test this on beta again now (or on test commons https://test-commons.wikimedia.org/wiki/Main_Page)

... or, indeed, on production

Edtadros reassigned this task from Edtadros to Ramsey-WMF.Jul 1 2019, 1:25 PM

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

Acceptance Criteria

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

✅ AC1: The statement widgets should be disabled as soon as they're being published
✅ AC2: The statement widgets should remain disabled until UploadWizard moves on to the next step

Edtadros updated the task description. (Show Details)Jul 1 2019, 1:26 PM
Ramsey-WMF closed this task as Resolved.Jul 31 2019, 11:31 PM

Statement panels are disabled on UW when submitting on production. All good.